import {withClient} from "./src/mail/client.ts";
import {collect, Collection} from "./src/bones/collection/Collection.ts";
import {getMailboxesToSearch, withMailbox} from "./src/mail/read.ts";

(await getMailboxesToSearch())
    .map(box => withMailbox(box, async c => {
        console.log(await c.all())
    }))
    .awaitAll()
