import {castCommentsConfig, type CommentsConfig} from "./types.ts";

const maybeConfig: any = {
    mail: {
        imap: {
            host: process.env.CHORUS_IMAP_HOST,
            port: process.env.CHORUS_IMAP_PORT || 993,
            auth: {
                user: process.env.CHORUS_IMAP_USER,
                pass: process.env.CHORUS_IMAP_PASS,
            },
        },
        threads: {
            type: 'alias',
            template: process.env.CHORUS_THREAD_TEMPLATE,
            idPrefix: 'c.',
        },
    },
}

export const config: CommentsConfig = castCommentsConfig(maybeConfig)
